ORTHANCWSIDICOMIZER(1)

NAME
OrthancWSIDicomizer - Whole-slide imaging support for Orthanc

SYNOPSIS
OrthancWSIDicomizer [OPTION]... [INPUT]

DESCRIPTION
Orthanc, lightweight, RESTful DICOM server for healthcare and medical research.

Create a DICOM file from a digital pathology image.

  Generic options:

--help
    Display this help and exit

--version
    Output version information and exit

--verbose
    Be verbose in logs

--threads arg (=4)
    Number of processing threads to be used

--force-openslide arg (=0)
    Whether to force the use of OpenSlide on input TIFF-like files (Boolean)

--openslide arg
    Path to the shared library of OpenSlide (not necessary if converting from standard hierarchical TIFF)

  Options for the source image:

--dataset arg
    Path to a JSON file containing the DICOM dataset

--sample-dataset
    Display a minimalistic sample DICOM dataset in JSON format, then exit

--reencode arg
    Whether to re-encode each tile (no transcoding, much slower) (Boolean)

--repaint arg
    Whether to repaint the background of the image (Boolean)

--color arg
    Color of the background (e.g. "255,0,0")

--padding arg (=1)
    Add padding to plain PNG/JPEG/TIFF images to align the width/height to multiples of this value, which enables deep zoom with IIIF (1 means no padding)

  Options if importing from Cytomine:

--cytomine-url arg
    URL of the source Cytomine server, for instance: https://demo.cytomine.be/

--cytomine-public-key arg
    Your personal public key in Cytomine (cf. Account in the Cytomine Web interface)

--cytomine-private-key arg
    Your personal private key in Cytomine (to be kept secret)

--cytomine-image arg
    ID of the Image Instance of interest in Cytomine (must be an integer)

--cytomine-compression arg (=jpeg)
    Compression to be used for downloading the tiles from Cytomine, can be "jpeg" (faster) or "png" (better quality)

  Options to construct the pyramid:

--pyramid arg (=0)
    Reconstruct the full pyramid (slow) (Boolean)

--smooth arg (=0)
    Apply smoothing when reconstructing the pyramid (slower, but higher quality) (Boolean)

--levels arg
    Number of levels in the target pyramid

  Options for the target image:

--tile-width arg
    Width of the tiles in the target image

--tile-height arg
    Height of the tiles in the target image

--compression arg
    Compression of the target image ("none", "jpeg", "jpeg2000", or "jpeg-ls")

--jpeg-quality arg
    Set quality level for JPEG (0..100)

--max-size arg (=10)
    Maximum size per DICOM instance (in MB), 0 means no limit on the file size

--folder arg
    Folder where to store the output DICOM instances

--folder-pattern arg (=wsi-%06d.dcm)
    Pattern for the files in the output folder

--orthanc arg (=http://localhost:8042/)
    URL to the REST API of the target Orthanc server

  Description of the imaged volume:

--imaged-width arg
    Width of the specimen (in mm), in the coordinate system of the glass slide, defaults to 15mm if missing

--imaged-height arg
    Height of the specimen (in mm), in the coordinate system of the glass slide, defaults to 15mm if missing

--imaged-depth arg (=1)
    Depth of the specimen (in mm)

--offset-x arg (=20)
    X offset the specimen, wrt. slide coordinates origin (in mm)

--offset-y arg (=40)
    Y offset the specimen, wrt. slide coordinates origin (in mm)

  HTTP/HTTPS client configuration to access the Orthanc REST API:

--username arg
    Username for the target Orthanc server

--password arg
    Password for the target Orthanc server

--proxy arg
    HTTP proxy to be used

--timeout arg (=0)
    HTTP timeout (in seconds, 0 means no timeout)

--verify-peers arg (=1)
    Enable the verification of the peers during HTTPS requests

--ca-certificates arg
    Path to the CA (certification authority) certificates to validate peers in HTTPS requests

  Advanced options:

--optical-path arg (=brightfield)
    Optical path to be automatically added to the DICOM dataset ("none" or "brightfield")

--icc-profile arg
    Path to the ICC profile to be included. If empty, a default sRGB profile will be added.

--safety arg (=1)
    Whether to do additional checks to verify the source image is supported (might slow down) (Boolean)

--lower-levels arg
    Number of pyramid levels up to which multithreading should be applied (only for performance/memory tuning)

AUTHOR
Written by Sebastien Jodogne <s.jodogne@orthanc-labs.com>

COPYRIGHT
Copyright © 2012-2016 Sebastien Jodogne, Medical Physics Department, University Hospital of Liege (Belgium)
Copyright © 2017-2023 Osimis S.A. (Belgium)
Copyright © 2024-2025 Orthanc Team SRL (Belgium)
Copyright © 2021-2025 Sebastien Jodogne, ICTEAM UCLouvain (Belgium) Licensing AGPL: GNU AGPL version 3 or later <http://gnu.org/licenses/agpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.